#!/usr/bin/env python
# -*- coding:utf-8 -*-
# Author: liang
import sqlalchemy
from sqlalchemy import  create_engine
from sqlalchemy.ext.declarative import  declarative_base
from sqlalchemy import Column,String,Integer,DATE,CHAR,ForeignKey,VARCHAR
from sqlalchemy.orm import sessionmaker,relationship

# 数据库连接
engine=create_engine("mysql+pymysql://数据库用户名:数据库密码@www.o2oxy.cn/liang",
                     encoding="utf-8")

# ROM 基类
Base=declarative_base()


class UserHost(Base):
    __tablename__='user_host'
    id=Column(Integer,primary_key=True)  # id
    ip=Column(VARCHAR(255),nullable=False)  # ip
    port=Column(VARCHAR(255),nullable=False) # post
    user=Column(VARCHAR(255),nullable=False)     # 用户
    password=Column(VARCHAR(255),nullable=False)  #密码
    business=Column(VARCHAR(255),nullable=False)  # 业务线
    Asset_group=Column(VARCHAR(255),nullable=False)  #资产组
    Admin=Column(VARCHAR(255),nullable=False)   # 管理员
    def __repr__(self):
        return "<%s name:%s>" %(self.id,self.ip)

class AdminUser(Base):
    __tablename__='admin_user'
    id=Column(Integer,primary_key=True)  # id
    user=Column(String(32),nullable=False)  # 用户名
    password=Column(String(32),nullable=False)  #密码
    def __repr__(self):
        return "<%s name:%s>" %(self.id,self.user)
Base.metadata.create_all(engine)


