#!/usr/bin/env python
# -*- coding:utf-8 -*-
# Author: liang
import sqlalchemy
from sqlalchemy import  create_engine
from sqlalchemy.ext.declarative import  declarative_base
from sqlalchemy import Column,String,Integer,DATE,CHAR,ForeignKey,VARCHAR
from sqlalchemy.orm import sessionmaker,relationship

# 数据库连接
engine=create_engine("mysql+pymysql://liang:xAHcbwd3L4Y5Zd6x@www.o2oxy.cn/liang",
                     encoding="utf-8")

# ROM 基类
Base=declarative_base()


class UserHost(Base):
    __tablename__='user_host'
    id=Column(Integer,primary_key=True)  # id
    ip=Column(VARCHAR(255),nullable=False)  # ip
    port=Column(VARCHAR(255),nullable=False) # post
    user=Column(VARCHAR(255),nullable=False)     # 用户
    password=Column(VARCHAR(255),nullable=False)  #密码
    business=Column(VARCHAR(255),nullable=False)  # 业务线
    Asset_group=Column(VARCHAR(255),nullable=False)  #资产组
    Admin=Column(VARCHAR(255),nullable=False)   # 管理员

    def __repr__(self):
        return "<%s name:%s>" %(self.id,self.ip)


class AdminUser(Base):
    __tablename__='admin_user'
    id=Column(Integer,primary_key=True)  # id
    user=Column(String(32),nullable=False)  # 用户名
    password=Column(String(32),nullable=False)  #密码

    def __repr__(self):
        return "<%s name:%s>" %(self.id,self.user)

Base.metadata.create_all(engine)
Session_class=sessionmaker(bind=engine)
Session=Session_class()

####创建
s2=UserHost(ip="192.168.10.1",port="3306",user="liang6",password="lioang",business="web",Asset_group="web",Admin="admin")
s3=UserHost(ip="192.168.10.2",port="3306",user="lian8",password="lioang",business="web",Asset_group="web",Admin="admin")
s4=UserHost(ip="192.168.10.3",port="3306",user="liang6",password="lioang",business="web",Asset_group="web",Admin="admin")
s5=UserHost(ip="192.168.10.4",port="3306",user="liang5",password="lioang",business="web",Asset_group="web",Admin="admin")
s6=UserHost(ip="192.168.10.5",port="3306",user="liang4",password="lioang",business="web",Asset_group="web",Admin="admin")
s7=UserHost(ip="192.168.10.6",port="3306",user="liang3",password="lioang",business="web",Asset_group="web",Admin="admin")
s8=UserHost(ip="192.168.10.7",port="3306",user="liang2",password="lioang",business="web",Asset_group="web",Admin="admin")

s9=AdminUser(user="admin",password="admin123456")
s10=AdminUser(user="admin",password="admin1234567899")
Session.add_all([s2,s3,s4,s5,s6,s7,s8,s9,s10])



Session.commit()


