#!/usr/bin/env python
# -*- coding:utf-8 -*-
# Author: liang

from cmdb import sql_mian
from sqlalchemy.orm import sessionmaker
import re

Session_class=sessionmaker(bind=sql_mian.engine)

Session=Session_class()




def AdminUser():
    obj = Session.query(sql_mian.AdminUser.user, sql_mian.AdminUser.password).all()

    return obj

def UserHost():
    obj = Session.query(sql_mian.UserHost.id, sql_mian.UserHost.ip,
                        sql_mian.UserHost.port, sql_mian.UserHost.user,
                        sql_mian.UserHost.password, sql_mian.UserHost.business,
                        sql_mian.UserHost.Asset_group, sql_mian.UserHost.Admin).all()
    return obj


def IsIP(str):
    p = re.compile('^((25[0-5]|2[0-4]\d|[01]?\d\d?)\.){3}(25[0-5]|2[0-4]\d|[01]?\d\d?)$')
    if p.match(str):
        return True
    else:
        return False

def IsPort(number):
        if number >0 and number<65535:
            return True
        else:
            return False

def LenGth(password,business,Asset_group,Admin):
    if len(password)<10 and len(business)<10 and len(Asset_group) and len(Admin):
        return True
    else:
        return False



def AddUserHost(ip,port,user,password,business,Asset_group,Admin):
    ip2=IsIP(str(ip))
    port2=int(port)
    port3=IsPort(port2)
    if ip2:
        if port3:
            if LenGth(password,business,Asset_group,Admin):
                s8=sql_mian.UserHost(ip=ip,port=port,user=user,password=password,business=business,Asset_group=Asset_group,Admin=Admin)
                Session.add_all([s8])
                Session.commit()
                return True
        return False
    return False


def DelUserHost(id):
    x = Session.query(sql_mian.UserHost).filter_by(id=id).first()
    if x:
        Session.delete(x)
        Session.commit()
        return True
    else:
        return False


Session.commit()